Rename a conversation
curl --request PATCH \
--url https://api.4minds.ai/api/v1/user/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.4minds.ai/api/v1/user/conversations/{conversation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.4minds.ai/api/v1/user/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.4minds.ai/api/v1/user/conversations/{conversation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.4minds.ai/api/v1/user/conversations/{conversation_id}"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.4minds.ai/api/v1/user/conversations/{conversation_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.4minds.ai/api/v1/user/conversations/{conversation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": 123,
"title": "<string>",
"message": "<string>",
"message_timestamp": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"total_messages": 1
}{
"detail": "Authentication required"
}{
"detail": "Conversation not found"
}{
"detail": [
{
"type": "missing",
"loc": [
"query",
"title"
],
"msg": "Field required",
"input": null
}
]
}Conversations
Rename a conversation
Sets a new title. The title is passed as a query parameter, not in a request body.
The response always reports total_messages: 0 and message: null. Use
List conversations for a model to get the real values.
PATCH
/
api
/
v1
/
user
/
conversations
/
{conversation_id}
Rename a conversation
curl --request PATCH \
--url https://api.4minds.ai/api/v1/user/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.4minds.ai/api/v1/user/conversations/{conversation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.4minds.ai/api/v1/user/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.4minds.ai/api/v1/user/conversations/{conversation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.4minds.ai/api/v1/user/conversations/{conversation_id}"
req, _ := http.NewRequest("PATCH", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.4minds.ai/api/v1/user/conversations/{conversation_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.4minds.ai/api/v1/user/conversations/{conversation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_id": 123,
"title": "<string>",
"message": "<string>",
"message_timestamp": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"total_messages": 1
}{
"detail": "Authentication required"
}{
"detail": "Conversation not found"
}{
"detail": [
{
"type": "missing",
"loc": [
"query",
"title"
],
"msg": "Field required",
"input": null
}
]
}Authorizations
Static, non-expiring API key: Authorization: Bearer <FOURMINDS_API_KEY>.
Path Parameters
Query Parameters
The new title. An empty value leaves the title unchanged.
Response
Renamed.
Text of the most recent user message.
When that user message was sent.
Number of messages in the conversation. Occasionally 1 higher than the number List messages in a conversation returns.
Required range:
x >= 0⌘I